#
# spec file for package perl-Term-Table
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Term-Table
Version:        0.012
Release:        lp150.1.3
%define cpan_name Term-Table
Summary:        Format a header and rows into a table
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Term-Table/
Source0:        https://cpan.metacpan.org/authors/id/E/EX/EXODIST/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Importer) >= 0.024
BuildRequires:  perl(Test2::Tools::Tiny) >= 1.302097
Requires:       perl(Importer) >= 0.024
Recommends:     perl(Term::Size::Any) >= 0.002
Recommends:     perl(Unicode::GCString) >= 2013.10
Recommends:     perl(Unicode::LineBreak) >= 2015.06
%{perl_requires}

%description
This is used by some failing tests to provide diagnostics about what has
gone wrong. This module is able to generic format rows of data into tables.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc appveyor.yml Changes README README.md
%license LICENSE

%changelog
* Thu Oct 19 2017 coolo@suse.com
- updated to 0.012
  see /usr/share/doc/packages/perl-Term-Table/Changes
  0.012     2017-10-11 08:54:52-07:00 America/Los_Angeles
  - Bump minimum Test2::Tools::Tiny version
  0.011     2017-10-09 12:52:32-07:00 America/Los_Angeles
  - Honor the env variable even on non-term output
* Wed Oct  4 2017 coolo@suse.com
- updated to 0.010
  see /usr/share/doc/packages/perl-Term-Table/Changes
  0.010     2017-10-03 09:41:46-07:00 America/Los_Angeles
  - No changes since trial
  0.009     2017-09-18 20:51:26-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Further optimize term_size when SIGWINCH is supported
* Wed May 31 2017 coolo@suse.com
- initial package 0.008
  * created by cpanspec 1.78.08
